<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      lang="es"
      xmlns:p="http://primefaces.org/ui"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <ui:composition template="/templates/generalTemplate.xhtml">
        <ui:define name="body">
            <h:body>

                <p:tabView effect="#{tabBean.effect}" effectDuration="normal" style="height: auto;" id="tabViewAdmin">  
                    <p:tab title="Mis datos"> 
                        <p:accordionPanel multiple="true" binding="#{usrActual}" value="#{usuariosController.selected}" >
                            <p:tab title="Cambiar foto">  
                                <h:form id="HojaVida" enctype="multipart/form-data">
                                    <p:growl id="growlfoto" showDetail="true" /> 
                                    <p:messages id="msgs1" autoUpdate="true"/>               
                                    <h:panelGrid columns="2" style="margin-top:10px">

                                        <p:commandLink id="fotoLink" onclick="fotoDialog.show()">
                                            <p:graphicImage value="#{pageContext.contextPath}/Recursos/Imagenes/perfil/default.png"
                                                            rendered="#{!photoCamBean.tieneFoto}" cache="false" style="height: 203px;"/>
                                            <p:graphicImage rendered="#{photoCamBean.tieneFoto}"
                                                            value="#{pageContext.contextPath}/Recursos/Imagenes/perfil/#{usuariosController.selected.usrFoto}"
                                                            cache="false" style="height: 203px;"/>
                                        </p:commandLink>

                                        <p:growl id="messages" showDetail="true" />
                                        <p:fileUpload
                                            fileUploadListener="#{usuariosController.handleFileUploadFoto}"
                                            mode="advanced" multiple="true"
                                            sizeLimit="900000000"
                                            allowTypes="/(\.|\/)(gif|jpe?g|png|txt)$/"
                                            uploadLabel="Cargar" cancelLabel="Cancelar" label="Buscar archivo"
                                            required="true" process="@this" update="HojaVida"/>
                                    </h:panelGrid> 
                                    <h:panelGrid columns="4" > 

                                        <p:commandButton id="cambiarFoto" onclick="fotoDialog.show()" value="Cambiar Foto" icon="ui-icon-disk"/>
                                    </h:panelGrid> 
                                </h:form>
                            </p:tab>

                            <p:tab title="Cambiar Datos" >
                                <ui:include src="/web/usuarios/Update.xhtml"/>
                            </p:tab>
                            <p:tab title="Cambiar Contraseña">
                                <ui:include src="/web/usuarios/Clave.xhtml"/>
                            </p:tab> 
                        </p:accordionPanel>
                    </p:tab>
                    <p:tab title="Noticias" rendered="#{loggin.admin}"  >
                        <p:layout  style="height: 800px; padding: 0; margin: 0;" >

                            <p:layoutUnit position="center" size="190" resizable="true" closable="true" collapsible="true" >

                                <p:accordionPanel multiple="true"  id="noticiasPanel">
                                    <p:tab title="Ver Noticias">
                                        <ui:include src="/web/noticias/List.xhtml"  />
                                    </p:tab>
                                    <p:tab title="Crear Inventario" >
                                        <ui:include src="/web/noticias/ingresarNoticia.xhtml"  />
                                    </p:tab>
                                </p:accordionPanel>
                            </p:layoutUnit>
                        </p:layout>
                    </p:tab> 

                    <p:tab title="Busca personas" >  
                        <p:layout style="height: 800px; padding: 0; margin: 0;">
                            <p:layoutUnit position="center" size="190" resizable="true" closable="true" collapsible="true" >
                                <ui:include src="List.xhtml"  />
                            </p:layoutUnit> 
                        </p:layout>

                    </p:tab>  

                    <p:tab title="Solicitudes" rendered="#{loggin.admin}" >  
                        <h:form id="tablaSolicitudes" class="tablaPostula" prependId="false">  
                            <p:growl id="growl2" showDetail="true" /> 
                            <p:dataTable sortMode="multiple" var="usuarios" value="#{solicitudesController.listaNoAceptados}" paginatorPosition="bottom"
                                         widgetVar="tablaPost" emptyMessage="No hay solicitudes disponibles" paginator="true"
                                         rows="10" rowKey="#{usuarios.usrId}" selection="#{solicitudesController.listaAceptados}" >  


                                <p:column style="width:5%" headerText="Mas Info.">                                                           
                                    <p:rowToggler />  
                                </p:column>  
                                <p:column style="width:10%" headerText="Imágen de Perfil">  
                                    <p:graphicImage rendered="#{photoCamBean.tieneFoto}" value="/Recursos/Imagenes/perfil/#{usuarios.usrFoto}" width="170" height="200"/>  
                                    <p:graphicImage rendered="#{!photoCamBean.tieneFoto}" value="/Recursos/Imagenes/perfil/default.png" width="170" height="200"/>  
                                </p:column>  

                                <p:column id="usrnombre" style="width:10%"  headerText="Nombres" 
                                          filterMatchMode="contains" sortBy="#{usuarios.usrNombre}" filterBy="#{usuarios.usrNombre}" > 
                                    <h:outputText value="#{usuarios.usrNombre}" />  
                                </p:column> 

                                <p:column id="usrapellido"  style="width:10%" filterBy="#{usuarios.usrApellido}"   
                                          headerText="Apellidos"   filterMatchMode="contains" sortBy="#{usuarios.usrApellido}" >  
                                    <h:outputText value="#{usuarios.usrApellido}" />  
                                </p:column> 

                                <p:column id="usremail" style="width:15%" filterBy="#{usuarios.usrEmail}"   
                                          headerText="E-Mail"   filterMatchMode="contains" sortBy="#{usuarios.usrEmail}">  

                                    <h:outputText value="#{usuarios.usrEmail}" />  
                                </p:column>  
                                <p:column selectionMode="multiple" style="width:6%" headerText="Enviar mensaje">
                                </p:column>

                                <p:rowExpansion>  
                                    <h:panelGrid id="display" columns="2" cellpadding="5" style="width:100%"  
                                                 styleClass="ui-widget-content grid">  
                                        <h:outputText value="Doc num: #{usuarios.usrNumDoc}" />
                                        <h:outputText id="nombres" value="Nombre: #{usuarios.usrNombre}" />      
                                        <h:outputText value="Ciudad: #{usuarios.usrCiudadId.ciudadNombre}" />  
                                        <h:outputText id="rol" value="Rol: #{usuarios.usrRolId.rolNombre}"/>  
                                    </h:panelGrid>  
                                </p:rowExpansion>  
                            </p:dataTable>  
                            <p:commandButton value="Enviar" action="#{solicitudesController.aceptarSolicitudes}" update="growl2"/>
                        </h:form>  
                    </p:tab>  

                    <p:tab title="Inventario" id="inventarios" closable="false">
                        <p:layout style="height: 800px; padding: 0; margin: 0;">
                            <p:layoutUnit position="center" size="190" resizable="true" closable="true" collapsible="true" >
                                <p:accordionPanel multiple="true" id="inventariosPanel" >
                                    <p:tab title="Ver inventario">
                                        <ui:include src="/web/inventarios/List.xhtml"  />
                                    </p:tab>
                                    <p:tab title="Crear Inventario" >
                                        <ui:include src="/web/inventarios/gestionarInventario.xhtml"/>
                                    </p:tab>
                                </p:accordionPanel>

                            </p:layoutUnit>
                        </p:layout>
                    </p:tab>
                    <p:tab title="Items" closable="false">
                        <p:accordionPanel multiple="true" id="itemsPanel" >
                            <p:tab title="Ver Items">
                                <ui:include src="/web/items/List.xhtml"  />
                            </p:tab>    
                            <p:tab title="Crear Item">
                                <ui:include src="/web/items/gestionarItems.xhtml"  />
                            </p:tab>
                        </p:accordionPanel>
                    </p:tab>
                    <p:tab title="Ambientes" closable="false">
                        <p:accordionPanel multiple="true" id="ambientesPanel">
                            <p:tab title="Ver Ambientes">
                                <ui:include src="/web/ambientes/List.xhtml"  />
                            </p:tab>    
                            <p:tab title="Crear Ambiente">
                                <ui:include src="/web/ambientes/gestionarAmbientes.xhtml"  />
                            </p:tab>
                        </p:accordionPanel>
                    </p:tab>
                    <p:tab title="Departamentos" closable="false">
                        <p:accordionPanel multiple="true" id="departamentosPanel">
                            <p:tab title="Ver Departamentos y ciudades">
                                <ui:include src="/web/departamentos/List.xhtml"  />
                                <ui:include src="/web/ciudad/List.xhtml"  />
                            </p:tab>    
                            <p:tab title="Crear Departamento y ciudad">
                                <ui:include src="/web/departamentos/gestionarDepartamento.xhtml"  />
                                <ui:include src="/web/ciudad/gestionarCiudad.xhtml"  />
                            </p:tab>
                        </p:accordionPanel>
                    </p:tab>
                    <p:tab title="Acciones" closable="false">
                        <p:accordionPanel multiple="true" id="accionesPanel">
                            <p:tab title="Ver Acciones">
                                <ui:include src="/web/acciones/List.xhtml"  />
                            </p:tab>    
                            <p:tab title="Crear Acciones">
                                <ui:include src="/web/acciones/gestionarAcciones.xhtml"  />
                            </p:tab>
                        </p:accordionPanel>
                    </p:tab>
                    <p:tab title="Roles" closable="false">
                        <p:accordionPanel multiple="true" id="rolesPanel">
                            <p:tab title="Ver Roles">
                                <ui:include src="/web/rol/List.xhtml"  />
                            </p:tab>    
                            <p:tab title="Crear Rol">
                                <ui:include src="/web/rol/gestionarRol.xhtml"  />
                            </p:tab>
                        </p:accordionPanel>
                    </p:tab>
                </p:tabView>  
            </h:body>
        </ui:define>
    </ui:composition>

</html>
